> For the complete documentation index, see [llms.txt](https://docs.pandablue.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pandablue.com/v1/deposits-api/streamline-api/currency-exchange-endpoint.md).

# Currency Exchange Endpoint

The Currency Exchange endpoint allows you to get the exchange of any local currency compared against USD

### Currency Exchange

<mark style="color:green;">`POST`</mark> `https://api-stg.directa24.com/apd/webcurrencyexchange`

This endpoint responds with the conversion of your amount to the countries' local currency

**Headers**

| Name                                           | Type   | Description                       |
| ---------------------------------------------- | ------ | --------------------------------- |
| Content-Type<mark style="color:red;">\*</mark> | string | application/x-www-form-urlencoded |

**Request Body**

| Name                                            | Type   | Description                                                                                                                                              |
| ----------------------------------------------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------- |
| x\_login<mark style="color:red;">\*</mark>      | string | Your Easy Cashouts API WEB STATUS API Key, found on the Merchant Panel by going to Settings -> API Access -> Web Status Credentials -> API Key           |
| x\_trans\_key<mark style="color:red;">\*</mark> | string | Your Easy Cashouts API WEB STATUS API Passphrase, found on Merchant Panel by going to Settings -> API Access -> Web Status Credentials -> API Passphrase |
| x\_country<mark style="color:red;">\*</mark>    | string | Country code in which the amount will be converted                                                                                                       |
| x\_amount<mark style="color:red;">\*</mark>     | number | Amount in USD to convert. If none is specified "1" is assumed                                                                                            |

{% tabs %}
{% tab title="200 Currency exchange for Brazil successfully retrieved" %}

```
5.8464
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
All the requests must be in x-www-form-urlencoded format and contain the following header:

`Content-Type: application/x-www-form-urlencoded`
{% endhint %}

### **Request fields description**

| Field         | Format                         | Description                                                                                                                                         |
| ------------- | ------------------------------ | --------------------------------------------------------------------------------------------------------------------------------------------------- |
| x\_login      | string (max length: 32)        | Your Easy Cashouts API **DEPOSITS** API Key, found on the merchants area: Settings -> API Access -> Deposit Credentials                             |
| x\_trans\_key | string (max length: 32)        | Your Easy Cashouts API **DEPOSITS** API Passphrase, found on the merchants area: Settings -> API Access -> Deposit Credentials                      |
| x\_country    | String (2 chars)               | The [country code of the country](https://docs.directa24.com/knowledge-base/countries-specifications) whose currency exchange rate you want to know |
| x\_amount     | Decimal(max 2 decimal numbers) | The amount of USD you want to exchange. Optional. Default: 1                                                                                        |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.pandablue.com/v1/deposits-api/streamline-api/currency-exchange-endpoint.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
